### Enumeration

# Secret SearchFlags

#### Declaration

    flags Secret.SearchFlags

#### Description [src]

Various flags to be used with `secret_service_search()` and `secret_service_search_sync()`.

#### Members

Name | Description
--- | ---
`SECRET_SEARCH_NONE` | No flags.
`SECRET_SEARCH_ALL` | All the items matching the search will be returned, instead of just the first one.
`SECRET_SEARCH_UNLOCK` | Unlock locked items while searching.
`SECRET_SEARCH_LOAD_SECRETS` | While searching load secrets for items that are not locked.